# General

This charm provides support for setting up a simple rsyslogd logging server.

# Usage method

On this example we are going to deploy mysql

    juju deploy mysql

Then you must deploy this charm

    juju deploy rsyslog primary-rsyslog

Then you can deploy a rsyslog-forwarder-ha charm, which will forward all the syslog
messages from a specific service to this rsyslog server.

    juju deploy rsyslog-forwarder-ha

Then relate both services

    juju add-relation rsyslog-forwarder-ha mysql

Then you can deploy your rsyslog aggregators servers:

    juju deploy rsyslog primary

Once your rsyslog aggregators are ready, you can relate them with your forwarder.

    juju add-relation rsyslog-forwarder-ha primary-rsyslog

Once you have your rsyslog ports opened. You can change try this charm by running

    juju ssh mysql/0

Then create a logger entry

    mysql/0$ logger "testing"

Then see if the entry is being forwarded correctly:

    juju ssh primary-rsyslog/0 
    primary-rsyslog/0$ grep testing /var/log/syslog

# Contact Information

    Mantainer: jorge.niedbalski@canonical.com
    Bugs: https://bugs.launchpad.net/charms/+source/rsyslog
